Bug 1807107 - Pods in pending status display no conditions, unable to know that pod can't be scheduled
Summary: Pods in pending status display no conditions, unable to know that pod can't b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Robb Hamilton
QA Contact: shahan
URL:
Whiteboard:
Depends On: 1804869
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-25 15:45 UTC by Robb Hamilton
Modified: 2020-05-04 11:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1804869
Environment:
Version: 4.5.0-0.ci-2020-02-19-141327 Cluster ID: 0a55030e-bf1e-49f9-9f5d-7d797779c093 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_2) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/79.0.3945.130 Safari/537.36
Last Closed: 2020-05-04 11:42:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4475 0 None closed [release-4.4] Bug 1807107: Add conditions table to pod details and tidy up types 2021-02-04 23:57:01 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:42:46 UTC

Description Robb Hamilton 2020-02-25 15:45:02 UTC
+++ This bug was initially created as a clone of Bug #1804869 +++

A pod that can't be scheduled is in phase Pending with conditions:

  phase: Pending
  conditions:
    - type: PodScheduled
      status: 'False'
      lastProbeTime: null
      lastTransitionTime: '2020-02-19T18:46:05Z'
      reason: Unschedulable
      message: >-
        0/6 nodes are available: 1 Insufficient cpu, 5 node(s) didn't match node
        selector.

The condition, reason, and message are all important for users to know, but the Pod details and Container details pages show nothing for the conditions.

The conditions should be shown, and the "pending" at the top of the page and in the pod status should indicate that the pod isn't schedulable.  This is a not-uncommon scenario and the current UI flow makes it extremely hard to know what to do (I had to look at pod YAML)

--- Additional comment from Robb Hamilton on 2020-02-19 20:04:27 UTC ---

> The condition, reason, and message are all important for users to know, but the Pod details and Container details pages show nothing for the conditions.

Adding the Conditions section to the bottom of the pod details page is trivial.  I assume we want this for all pods regardless of status?

> The conditions should be shown, and the "pending" at the top of the page 

This is similar to the request to have the timestamp by the status in the header.  I'm unable to locate where this request was made.  I know sgoodwin was looking in to it...

> and in the pod status should indicate that the pod isn't schedulable.  This is a not-uncommon scenario and the current UI flow makes it extremely hard to know what to do (I had to look at pod YAML)

For CSVs we display "Status Reason" (with status.condition.message as a value) underneath "Status" in the CSV Details section.  Do we want to do something similar here?

--- Additional comment from Steve Goodwin on 2020-02-24 15:48:34 UTC ---

(In reply to Robb Hamilton from comment #1)

> > The conditions should be shown, and the "pending" at the top of the page 
> 
> This is similar to the request to have the timestamp by the status in the
> header.  I'm unable to locate where this request was made.  I know sgoodwin
> was looking in to it...
> 

Original bug https://bugzilla.redhat.com/show_bug.cgi?id=1792489 was closed and Ben opened an RFE in jira https://issues.redhat.com/browse/RFE-563

--- Additional comment from Robb Hamilton on 2020-02-24 15:54:26 UTC ---

Additional enhancements will be part of https://issues.redhat.com/browse/RFE-563

Comment 4 shahan 2020-02-27 09:55:47 UTC
Mark all nodes unscheduale and then create app, goto one pending pod detail page,
The console will show table about condition at the end of page included the detail reason for pending pod just like pod yaml file does: Unschedulable0/6 nodes are available: 3 node(s) had taints that the pod didn't tolerate, 3 node(s) were unschedulable.
4.4.0-0.nightly-2020-02-26-185356

Comment 6 errata-xmlrpc 2020-05-04 11:42:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.